package com.hotent.base.jms.impl;

import com.hotent.base.jms.JmsNoticeConsumerService;
import com.hotent.base.jms.Notice;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Service;

/**
 * Jms生产者的空实现类
 * <pre>
 *	空实现不提供任何实现代码，仅仅保证其他类注入JmsProducer接口的不报错
 * </pre>
 * @company 广州宏天软件股份有限公司
 * @author heyifan
 * @email heyf@jee-soft.cn
 * @date 2018年6月29日
 */
@Service
public class JmsNoticeConsumerServiceEmptyImpl implements JmsNoticeConsumerService {
	private static final Log logger= LogFactory.getLog(JmsNoticeConsumerService.class);
	private final String WARN_MESSAGE = "[JMS]: There is no implements of JmsNoticeService, so we can not send the message out.";
	@Override
	public void sendNotice2Jms(Notice notice) {
		logger.warn(WARN_MESSAGE);

	}
	@Override
	public void sendNotice(Notice notice) {
		logger.warn(WARN_MESSAGE);
	}
	@Override
	public void addSysLogs(String id, String opeName, String executor, String ip, String logType, String moduleType,
			String reqUrl, String opeContent) {
		logger.warn(WARN_MESSAGE);
	}

}
